aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--.config/waybar/config14
-rwxr-xr-x.local/bin/statusbar/sb-doppler1
-rwxr-xr-x.local/bin/statusbar/sb-mailbox20
3 files changed, 33 insertions, 2 deletions
diff --git a/.config/waybar/config b/.config/waybar/config
index 670909e..fc73216 100644
--- a/.config/waybar/config
+++ b/.config/waybar/config
@@ -5,7 +5,7 @@
"reload_style_on_change": true,
"modules-left": ["hyprland/workspaces", "hyprland/window"],
"modules-center": [],
- "modules-right": ["custom/memory","custom/doppler","custom/forecast","custom/nettraf","custom/microphone","custom/volume","custom/clock","custom/internet","tray"],
+ "modules-right": ["custom/memory","custom/doppler","custom/forecast","custom/mailbox","custom/nettraf","custom/microphone","custom/volume","custom/clock","custom/internet","tray"],
"hyprland/window": {
"format": "{}",
@@ -56,6 +56,18 @@
"on-click-backward": "sb-forecast 6"
},
+ "custom/mailbox" : {
+ "tooltip": false,
+ "format": "{}",
+ "signal": 12,
+ "exec" : "sb-mailbox",
+ "interval" : 18000,
+ "on-click": "sb-mailbox 1",
+ "on-click-right": "sb-mailbox 3",
+ "on-click-middle": "sb-mailbox 2",
+ "on-click-backward": "sb-mailbox 6"
+ },
+
"custom/nettraf" : {
"tooltip": false,
"format": "{}",
diff --git a/.local/bin/statusbar/sb-doppler b/.local/bin/statusbar/sb-doppler
index 4fb9d0b..a29203a 100755
--- a/.local/bin/statusbar/sb-doppler
+++ b/.local/bin/statusbar/sb-doppler
@@ -19,5 +19,4 @@ After $secs seconds, new clicks will also automatically update the doppler RADAR
6) hyprctl dispatch exec "kitty -e \"$EDITOR\" \"$0\"" ;;
esac
-[ $(($(date '+%s') - $(stat -c %Y "$doppler"))) -gt "$secs" ] && getdoppler
echo 🌅
diff --git a/.local/bin/statusbar/sb-mailbox b/.local/bin/statusbar/sb-mailbox
new file mode 100755
index 0000000..0fe9556
--- /dev/null
+++ b/.local/bin/statusbar/sb-mailbox
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+# Displays number of unread mail and an loading icon if updating.
+# When clicked, brings up `neomutt`.
+
+case $1 in
+ 1) hyprctl dispatch exec 'kitty -e neomutt'; pkill -RTMIN+12 waybar ;;
+ 2) setsid -f mailsync >/dev/null ;;
+ 3) notify-send "📬 Mail module" "\- Shows unread mail
+- Shows 🔃 if syncing mail
+- Left click opens neomutt
+- Middle click syncs mail" ;;
+ 6) hyprctl dispatch exec "kitty -e \"$EDITOR\" \"$0\"" ;;
+esac
+
+unread="$(find "${XDG_DATA_HOME:-$HOME/.local/share}"/mail/*/[Ii][Nn][Bb][Oo][Xx]/new/* -type f | wc -l 2>/dev/null)"
+
+pidof mailsync >/dev/null 2>&1 && icon="🔃"
+
+[ "$unread" = "0" ] && [ "$icon" = "" ] || echo "📬$unread$icon"